Subject: Re: xterm-like terminal emulator
From: Jason Tishler <[email-masked]>
To: Dan Lipofsky <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Fri, 12 Jan 2001 09:12:22 -0500

Dan,

On Thu, Jan 11, 2001 at 05:36:30PM -0600, Dan Lipofsky wrote:
> But the cutting seems to be pretty buggy.
> I can cut once and paste to any application.
> But subsequent cuts do not seem to make it
> to the windows clipboard ... I can paste it into
> other rxvt windows, but when I try to paste it
> into a windows app I get the old cut.  When I
> cut from a windows app that seems to reset the
> clipboard so I can do another rxvt cut.
> 
> Can other rxvt users confirm this behavior?

I also observe the above behavior but only occasionly, usually the
cutting and pasting from rxvt to a native app works fine.  When the
problem occurs, I just past into another rxvt window and then cut and
paste from there.  This seems to be a known problem that is discussed in
one of Bub's readme files.

> Also, the only way I can seem to run rxvt and get the results I want is
> to have a batch file like
> 	C:
> 	chdir \cygwin\bin
> 	bash --noprofile --norc -c "rxvt ..."
> But this involves making two bash instances per shot.
> It doesn't seem to work right if I don't call it through bash.
> Anyone got a better way?

I use constructs like the following in my shortcuts to start up rxvt windows:

    C:\Cygwin\usr\local\bin\run.exe rxvt -sl 512 -sr -fn courier -title kosh -e bash --login

You can get run from CygUtils:

    http://www.neuro.gatech.edu/users/cwilson/cygutils/unversioned/run/index.html

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple